Name:           libspiro
Version:        20221101
Release:        1
Summary:        Library to simplify the drawing of beautiful curves
License:        GPLv3+
URL:            https://github.com/fontforge/libspiro/
Source0:        https://github.com/fontforge/libspiro/releases/download/%{version}/libspiro-dist-%{version}.tar.gz
BuildRequires:  gcc make

%description
This library will take an array of spiro control points and 
convert them into a series of bézier splines which can then 
be used in the myriad of ways the world has come to use béziers. 

%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%autosetup -n libspiro-%{version}

%build
%configure --disable-static
%{make_build}

%install
%{make_install}
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'

%check
make check

%files
%doc README* ChangeLog AUTHORS
%license COPYING
%{_libdir}/*.so.*

%files devel
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/libspiro.pc
%{_mandir}/man3/libspiro.3.gz

%changelog
* Tue Oct 17 2023 chenyaqiang <chengyaqiang@huawei.com> - 20221101-1
- update to 20221101

* Tue Aug 24 2021 chenchen <chen_aka_jan@163.com> - 20200505-1
- update to 20200505

* Fri Dec 13 2019 lihao <lihao129@huawei.com> - 20150131-10
- Package Init
